
Foreman - Bug #2020

DefaultSettingsLoaderTest failure: test_should_initialize_hostcert_from_Puppet

12/06/2012 08:32 AM - Dominic Cleal

Status: Closed   

Priority: High   

Assignee: Dominic Cleal   

Category: Tests   

Target version: 1.1   

Difficulty: trivial Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

$ ruby -Ilib:test test/lib/foreman/default_settings/loader_test.rb -n //

Loaded suite test/lib/foreman/default_settings/loader_test

Started

F

Finished in 2.098674 seconds.

  1) Failure:

test_should_initialize_hostcert_from_Puppet(DefaultSettingsLoaderTest) [test/lib/foreman/default_s

ettings/loader_test.rb:13]:

<"/var/lib/puppet/mycert.pem"> expected but was

<"/etc/puppet/ssl/certs/iridium.fab.redhat.com.pem">.

1 tests, 1 assertions, 1 failures, 0 errors

Associated revisions

Revision 49991328 - 12/09/2012 04:20 AM - Dominic Cleal

fixes #2020 - PuppetSetting is an instance, not class

History

#1 - 12/06/2012 08:34 AM - Dominic Cleal

- Status changed from New to Assigned

https://github.com/theforeman/foreman/pull/289

#2 - 12/09/2012 05:18 AM - Dominic Cleal

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset 49991328b957fe066e20af031768cb0c20ae9e50.
